Start a new topic

Vuzix M400 support

Hi,


I'm trying to get the Vuzix examples working on the M400 - but they don't. Is the 400 supported at all? 


Hi Tifenn,


With our current Vuzix SDK we're supporting the M300. You can find the details on all our supported devices and features here:


Thx and greetings

Nicola

Hi Jai,


were you able to run the Android SDK on the vuzix glasses. In general we're currently not maintaining our Vuzix SDK, but did you try with our standard Android SDK?


Thx and greetings

Nicola

that's my test in that discussion.


Regular or standard Android SDK v9.5 does not work for Vuzix M400 (included built-in GPS). 

 

I can install and launch, but the screen is black, attached.

Is it because of 


<uses-feature

        android:name="android.hardware.camera"

        android:required="true" />


This class was deprecated in API level 21. We recommend using the new android.hardware.camera2 API for new applications.

I also like to know does the PROFESSIONAL NATIVE API work on Vuzix M400?


What SDK edition can I use based on the devices I want to support and the development platform I work with?

"startupConfiguration": {

                    "camera_position": "front",

                    "camera_resolution": "auto"

                }

in samples.json the above code change also does not work in M400.

Hi Jai,


We didn't test the Android APIs on the Vuzix M400, as we don't officially support this device. So we can't unfortunately provide you with detailed information if the Native API is working on the M400 or what the exact issues of the latest Android JS API are with the M400.


One thing that you can try out is testing using the Android SDK 8.10., which correlates with the last Vuzix SDK release. You can find all older SDK versions here:

https://support.wikitude.com/support/discussions/topics/5000091233


Thx and greetings

Nicola

Login or Signup to post a comment